import os
import sys
dir_path = os.path.dirname(os.path.realpath(__file__))
sys.path.append(os.path.abspath(os.path.join(dir_path, "./lib")))

# import importlib
# py_major_version = sys.version_info[0]
# py_minor_version = sys.version_info[1]
# globals()["nmotion_transport"] = importlib.import_module(f'libnmotion_transport_python_{py_major_version}{py_minor_version}')
# globals()["nmotion_transport"] = importlib.import_module(f'libnmotion_transport_python')

import libnmotion_transport_python as nmotion_transport
from .UsbInterface import USBInterface
from typing import Any

class IMU():
    __imu: Any = None
    id: int = None
    
    def __init__(self, id: int, interface: USBInterface):
        self.id = id
        interface = interface
        self.__imu = nmotion_transport.IMU(id, interface.getInterface())
    
    def getYawData(self) -> 'float':
        return self.__imu.getYawData()

    def getPitchData(self) -> 'float':
        return self.__imu.getPitchData()

    def getRollData(self) -> 'float':
        return self.__imu.getRollData()